#<?php
   /* Author: Creator
   **
   ** Description: Prints a help listing for users trying to figure out how to use the bot
   **  
   ** Version: 1.0
   **
   ** Date(created): 6-23-2008
   ** Date(last modified): 6-23-2008
   */
if ($pluginwords[1]=="!help") {
	global $admins,$myname;

	#make the blobs..
	$link=colortext("<center>::::: RageBot Help Info :::::</center>\n");
	$link.="\n<font color=#20F080>!help:</font> <font color=#A0E0A8>Displays this help information.</font>\n";	
	
	#tell commands
	$link.="\n<font color=#10FA30><u>Tell Commands (/tell $myname)</u></font>\n";
	$link.="<font color=#20F080>!online:</font> <font color=#A0E0A8>Who is online</font>\n";
	$link.="<font color=#20F080>!whois <name>:</font> <font color=#A0E0A8>Does a who-is on a character of your choice, telling you the name, level and status of him/her. </font>\n";	
	
	#tell guild commands
	$link.="\n<font color=#10FA30><u>Guild Commands (/gu)</u></font>\n";
	$link.="<font color=#20F080>!ts:</font> <font color=#A0E0A8>Who is currently in your teamspeak.</font>\n";	
	$link.="<font color=#20F080>!main:</font> <font color=#A0E0A8>Informs the bot the name of your main character.</font>\n";	
	$link.="<font color=#20F080>!alt:</font> <font color=#A0E0A8>Informs the bot the names of your alts (use when on main).</font>\n";	
	$link.="<font color=#20F080>!twinklist:</font> <font color=#A0E0A8>Get a list of all known twinks.</font>\n";	
	$link.="<font color=#20F080>!calc:</font> <font color=#A0E0A8>Do some calculations.. 1+1, 2*2...</font>\n";	
	$link.="<font color=#20F080>!time:</font> <font color=#A0E0A8>Announces the date and time.</font>\n";	
	$link.="<font color=#20F080>!whois:</font> <font color=#A0E0A8>Does a who-is on a character of your choice, telling you the name, level and status of him/her. </font>\n";	

	$link.="\n<font color=#10FA30><u>Fun Stuff (/gu)</u></font>\n";
	$link.="<font color=#20F080>!homer</font>\n";	
	$link.="<font color=#20F080>!love</font>\n";	
	$link.="<font color=#20F080>!rquote</font>\n";	
	$link.="<font color=#20F080>!mquote</font>\n";	
	
	#admins only commands (no sense in advertising)
	if (in_array($sender,$admins)) {
		$link.="\n<font color=#10FA30><u>Administrative Commands (/tell $myname)</u></font>\n";
		$link.="<font color=#20F080>!twinkadmin:</font> <font color=#A0E0A8>Assign an alt to a main manually...</font>\n";	
	}
		
	$msg = makelink(":: RageBot Help Info ::",$link);
	send_private_tell($sender,$msg);
} 

?>